package info.frostfs.sdk.constants;

public class RuleConst {
    public static final byte VERSION = 0;

    public static final int BYTE_SIZE = 1;
    public static final int U_INT_8_SIZE = BYTE_SIZE;
    public static final int BOOL_SIZE = BYTE_SIZE;

    public static final long NULL_SLICE = -1L;
    public static final int NULL_SLICE_SIZE = 1;

    public static final byte BYTE_TRUE = 1;
    public static final byte BYTE_FALSE = 0;

    // maxSliceLen taken from
    // https://github.com/neo-project/neo/blob/38218bbee5bbe8b33cd8f9453465a19381c9a547/src/Neo/IO/Helper.cs#L77
    public static final int MAX_SLICE_LENGTH = 0x1000000;

    public static final int MAX_VAR_INT_LENGTH = 10;

    public static final int CHAIN_MARSHAL_VERSION = 0;

    public static final long OFFSET127 = 0x7f;
    public static final long OFFSET128 = 0x80;
    public static final int UNSIGNED_SERIALIZE_SIZE = 7;

    private RuleConst() {
    }
}
