package info.frostfs.sdk.enums;

public enum MethodIndex {
    METHOD_BALANCE_GET("balanceGet"),
    METHOD_CONTAINER_PUT("containerPut"),
    METHOD_CONTAINER_GET("ContainerGet"),
    METHOD_CONTAINER_LIST("ContainerList"),
    METHOD_CONTAINER_DELETE("ContainerDelete"),
    METHOD_ENDPOINT_INFO("EndpointInfo"),
    METHOD_NETWORK_INFO("NetworkInfo"),
    METHOD_NETMAP_SNAPSHOT("NetMapSnapshot"),
    METHOD_OBJECT_PUT("ObjectPut"),
    METHOD_OBJECT_DELETE("ObjectDelete"),
    METHOD_OBJECT_GET("ObjectGet"),
    METHOD_OBJECT_HEAD("ObjectHead"),
    METHOD_OBJECT_RANGE("ObjectRange"),
    METHOD_OBJECT_PATCH("ObjectPatch"),
    METHOD_SESSION_CREATE("SessionCreate"),
    METHOD_APE_MANAGER_ADD_CHAIN("APEManagerAddChain"),
    METHOD_APE_MANAGER_REMOVE_CHAIN("APEManagerRemoveChain"),
    METHOD_APE_MANAGER_LIST_CHAINS("APEManagerListChains"),
    ;

    public final String methodName;

    MethodIndex(String methodName) {
        this.methodName = methodName;
    }
}
