package info.frostfs.sdk.jdo.parameters.ape;

import info.frostfs.sdk.annotations.NotNull;
import info.frostfs.sdk.dto.chain.ChainTarget;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;

import java.util.Map;

@Getter
@Builder
@AllArgsConstructor
public class PrmApeChainRemove {
    @NotNull
    private byte[] chainId;

    @NotNull
    private ChainTarget chainTarget;

    private Map<String, String> xHeaders;

    public PrmApeChainRemove(byte[] chainId, ChainTarget chainTarget) {
        this.chainId = chainId;
        this.chainTarget = chainTarget;
    }
}
