package info.frostfs.sdk.services;

import info.frostfs.sdk.dto.netmap.NetmapSnapshot;
import info.frostfs.sdk.dto.netmap.NodeInfo;
import info.frostfs.sdk.jdo.NetworkSettings;
import info.frostfs.sdk.jdo.parameters.CallContext;

public interface NetmapClient {
    NetmapSnapshot getNetmapSnapshot(CallContext ctx);

    NodeInfo getLocalNodeInfo(CallContext ctx);

    NetworkSettings getNetworkSettings(CallContext ctx);
}
