package info.frostfs.sdk.services.impl.rwhelper;

import frostfs.object.Service;
import info.frostfs.sdk.tools.Verifier;

import java.util.Iterator;
import java.util.List;

public class SearchReader {
    public Iterator<Service.SearchResponse> call;

    public SearchReader(Iterator<Service.SearchResponse> call) {
        this.call = call;
    }

    public List<frostfs.refs.Types.ObjectID> read() {
        if (!call.hasNext()) {
            return null;
        }

        var response = call.next();
        Verifier.checkResponse(response);

        return response.getBody().getIdListList();
    }
}
