package info.frostfs.sdk.dto.netmap;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public class PlacementPolicy {
    private final Replica[] replicas;
    private final boolean unique;
    private final int backupFactory;
    private final Filter[] filters;
    private final Selector[] selectors;

    public PlacementPolicy(Replica[] replicas, boolean unique, int backupFactory) {
        this.replicas = replicas;
        this.unique = unique;
        this.backupFactory = backupFactory;
        this.filters = null;
        this.selectors = null;
    }
}
