package info.frostfs.sdk.jdo;

import lombok.Getter;
import lombok.Setter;

import java.util.HashMap;
import java.util.Map;

@Getter
@Setter
public class NetworkSettings {

    private Long auditFee;
    private Long basicIncomeRate;
    private Long containerFee;
    private Long containerAliasFee;
    private Long innerRingCandidateFee;
    private Long withdrawFee;
    private Long epochDuration;
    private Long iRCandidateFee;
    private Long maxObjectSize;
    private Long maxECDataCount;
    private Long maxECParityCount;
    private Long withdrawalFee;
    private Boolean homomorphicHashingDisabled;
    private Boolean maintenanceModeAllowed;
    private Map<String, Object> unnamedSettings = new HashMap<>();
}
