package info.frostfs.sdk.jdo.parameters.container;

import info.frostfs.sdk.annotations.NotNull;
import info.frostfs.sdk.dto.container.ContainerId;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;

import java.util.Map;

@Getter
@Builder
@AllArgsConstructor
public class PrmContainerGet {
    @NotNull
    private ContainerId containerId;

    private Map<String, String> xHeaders;

    public PrmContainerGet(ContainerId containerId) {
        this.containerId = containerId;
    }
}
