package info.frostfs.sdk.jdo.parameters.object;

import info.frostfs.sdk.annotations.NotNull;
import info.frostfs.sdk.dto.object.ObjectHeader;
import info.frostfs.sdk.dto.session.SessionToken;
import info.frostfs.sdk.jdo.parameters.session.SessionContext;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;

import java.util.Map;

@Getter
@Builder
@AllArgsConstructor
public class PrmObjectPut implements PrmObjectPutBase, SessionContext {
    @NotNull
    private final PutObjectContext putObjectContext = new PutObjectContext();
    @NotNull
    private ObjectHeader objectHeader;

    private SessionToken sessionToken;
    private Map<String, String> xHeaders;

    public PrmObjectPut(ObjectHeader objectHeader) {
        this.objectHeader = objectHeader;
    }
}
