package info.frostfs.sdk.pool;

import info.frostfs.sdk.jdo.ECDsa;
import io.grpc.ClientInterceptors;
import io.grpc.ManagedChannelBuilder;
import lombok.Getter;
import lombok.Setter;
import org.slf4j.Logger;

import java.util.Collection;

@Getter
@Setter
public class WrapperPrm {
    private Logger logger;
    private String address;
    private ECDsa key;
    private long dialTimeout;
    private long streamTimeout;
    private int errorThreshold;
    private Runnable responseInfoCallback;
    private Runnable poolRequestInfoCallback;
    private ManagedChannelBuilder<?> grpcChannelOptions;
    private long gracefulCloseOnSwitchTimeout;
    private Collection<ClientInterceptors> interceptors;
}
