package info.frostfs.sdk.services;

import info.frostfs.sdk.dto.ape.Chain;
import info.frostfs.sdk.jdo.parameters.CallContext;
import info.frostfs.sdk.jdo.parameters.ape.PrmApeChainAdd;
import info.frostfs.sdk.jdo.parameters.ape.PrmApeChainList;
import info.frostfs.sdk.jdo.parameters.ape.PrmApeChainRemove;

import java.util.List;

public interface ApeManagerClient {
    byte[] addChain(PrmApeChainAdd args, CallContext ctx);

    void removeChain(PrmApeChainRemove args, CallContext ctx);

    List<Chain> listChains(PrmApeChainList args, CallContext ctx);
}
