package info.frostfs.sdk.dto;

import info.frostfs.sdk.Helper;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class CheckSum {
    // type is always Sha256
    public byte[] hash;

    public CheckSum(byte[] content) {
        this.hash = Helper.getSha256(content);
    }

    @Override
    public String toString() {
        return Helper.getHexString(hash);
    }
}
